#include <iostream>
using namespace std;
int main()
{
    int n, l;
    cin >> n >> l;
    int h, k;
    k = -1;
    for(int i = 0; i<n; i++){
        cin >> h;
        if(l>=h){
            if(k == -1){
                k = i + 1;
            }
        }
    }
    cout<<k;

    return 0;
}